Summary: KDE frontend for anyRemote
Name: kanyremote
Version: 4.9
Release: 1%{?dist}
License: GPLv2+
Group: Applications/System
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
Requires: PyKDE >= 3.16, PyQt >= 3.17, pybluez >= 0.9.1, anyremote >= 4.4
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://anyremote.sourceforge.net/
BuildArch: noarch

%description
kAnyRemote package is KDE GUI frontend for anyRemote 
(http://anyremote.sourceforge.net/). The overall goal of this project is to 
provide remote control service on Linux through Bluetooth, InfraRed, Wi-Fi 
or TCP/IP connection.

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --vendor=""          \
  --add-category="System"                      \
  --delete-original                             \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
  $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 25 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.9-1
- Bugfixes and enhancements to better support anyremote-J2ME client v4.6 and
anyremote2html v0.5.

* Sat Apr 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.8-1
- Some small enhancements. Spec file correction.

* Mon Mar 11 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.7-1.fc8
- Some small enhancements. Corrected to work properly with anyRemote v4.4.

* Tue Feb 26 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.6-2.fc8
- Spec file correction

* Sun Feb 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.6-1.fc8
- Handle absense of .anyRemote directory

* Sun Feb 17 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.5-2.fc8
- Spec file correction

* Mon Feb 15 2008 Mikhail Fedotov <anyremote at mail.ru> - 4.5-1.fc8
- Motorola RIZR Z3 support enhanced

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_flash.png 
%{_datadir}/pixmaps/%{name}_off.png 
%{_datadir}/pixmaps/%{name}_light.png  
%{_datadir}/pixmaps/%{name}.png
%{_defaultdocdir}/%{name}

